package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.analysis.service.impl.DABuildServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.core.analysis.domain.DABuild;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[分析] 自定义服务对象
 */
@Slf4j
@Primary
@Service("DABuildExService")
public class DABuildExService extends DABuildServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * [ExportFile:导出文件] 行为扩展：导出模型的文件
     * @param et
     * @return
     */
    @Override
    @Transactional
    public DABuild exportFile(DABuild et) {
        return super.exportFile(et);
    }
    /**
     * [Run:运行] 行为扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public DABuild run(DABuild et) {
        return super.run(et);
    }
}

